Bug 1015249 - Missing activation key info/link under system's details page
Missing activation key info/link under system's details page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
high Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 14:00 EDT by Sachin Ghai
Modified: 2014-04-24 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
activation-key link under system--> details page (87.48 KB, image/png)
2013-10-08 07:33 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-10-03 14:00:13 EDT
Description of problem:
I was trying to find activation-key link under system --> details.. In Old UI it was there after registering the system with activation key.


Version-Release number of selected component (if applicable):
katello-1.4.8-1.git.37.b37a904.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Register a katello client with katello server via rhsm and using activation key
2. Go to systems --> All --> details tab
3.

Actual results:
Missing activation key info under system--> details ( nutupane based UI)

Expected results:
Activation-key link should be there after registering the system with it

Additional info:
Comment 2 Walden Raines 2013-10-04 13:56:33 EDT
PR: https://github.com/Katello/katello/pull/3096
Comment 3 Walden Raines 2013-10-04 14:54:55 EDT
commit 51556e6914fbd9b9d7f379c955a5f34e8b4c1f15
Merge: b83069c 837e7ab
Author: Walden Raines <walden@redhat.com>
Date:   Fri Oct 4 11:53:35 2013 -0700

    Merge pull request #3096 from waldenraines/bug-1015249
    
    Bug #1015249 - adding activation key info/link to system details page.

commit 837e7abcebc713559463add333110c8905ffc100
Author: Walden Raines <walden@redhat.com>
Date:   Fri Oct 4 12:06:41 2013 -0400

    Bug #1015249 - adding activation key info/link to system details page.
Comment 6 Sachin Ghai 2013-10-08 07:32:46 EDT
Verified with snap4 compose4..

katello-1.4.6-21.el6sat.noarch

The link to activation-key is available under system details --> subscriptions
Comment 7 Sachin Ghai 2013-10-08 07:33:50 EDT
Created attachment 809234 [details]
activation-key link under system--> details page
Comment 8 Bryan Kearney 2014-04-24 13:07:21 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.